Best mods for old ZDoom?

ZDoom LE, Pentium 133's, Windows 98, and DOS 3.1 all go here! A bygone era, of particular interest to some folks.
User avatar
Funman37
Posts: 3
Joined: Tue Feb 14, 2023 9:16 pm
Preferred Pronouns: He/Him
Operating System Version (Optional): Windows XP Pro

Best mods for old ZDoom?

Post by Funman37 »

My computer is running on Windows XP, and I'm using ZDoom 2.8.1 because GZDoom doesn't support XP. I've been having some trouble finding mods that will actually work with the version I've got, so far only Brutal Doom V.21 has worked, others I've tried have come up with error messages, and since it's ZDoom, it can't run GZDoom mods like Halo: Doom Evolved. Are there any good mods other than that that would work? Specifically any good Halo themed ones?
Professor Hastig
Posts: 101
Joined: Mon Jan 09, 2023 2:02 am
Graphics Processor: nVidia (Modern GZDoom)

Re: Best mods for old ZDoom?

Post by Professor Hastig »

You will have a hard time getting mods to work on this old version. It is 7 years old by now. Most mods have moved on and embraced ZScript later.
Depending on your graphics card you should still be able to run GZDoom 3.4 or 3.5 which would mean a lot more compatible mods.

But in the end you are running on borrowed time here. XP has been off support for what? - 9 years by now? - and increasingly more software will leave XP behind eventually.
Is there any reason you cannot upgrade to something that doesn't force you to compromise this badly?
User avatar
drfrag
Vintage GZDoom Developer
Posts: 3121
Joined: Fri Apr 23, 2004 3:51 am
Location: Spain

Re: Best mods for old ZDoom?

Post by drfrag »

After some investigation i've found that the last GZDoom version supporting XP is 4.1.2b: https://zdoom.org/files/gzdoom/bin/gzdo ... 4-1-2b.zip

Then LZDoom 3.8.7c also runs on XP with a patch here: https://github.com/drfrag666/gzdoom/releases/tag/3.87c
User avatar
Nash
 
 
Posts: 17367
Joined: Mon Oct 27, 2003 12:07 am
Location: Kuala Lumpur, Malaysia

Re: Best mods for old ZDoom?

Post by Nash »

My mod OldBlood is ZDoom 2.8.1 compatible.
User avatar
Funman37
Posts: 3
Joined: Tue Feb 14, 2023 9:16 pm
Preferred Pronouns: He/Him
Operating System Version (Optional): Windows XP Pro

Re: Best mods for old ZDoom?

Post by Funman37 »

drfrag wrote:
> After some investigation i've found that the last GZDoom version supporting
> XP is 4.1.2b: https://zdoom.org/files/gzdoom/bin/gzdo ... 4-1-2b.zip
>
> Then LZDoom 3.8.7c also runs on XP with a patch here:
> https://github.com/drfrag666/gzdoom/releases/tag/3.87c

GZDoom claims that it needs at least OpenGL 3.3 to run, and my computer doesn't have that. Everything I've found on the web says that you also can't just install a newer version, it's a part of the PC's drivers.
Professor Hastig
Posts: 101
Joined: Mon Jan 09, 2023 2:02 am
Graphics Processor: nVidia (Modern GZDoom)

Re: Best mods for old ZDoom?

Post by Professor Hastig »

That'd leave you with GZDoom 3.3 or 3.4. It was either before or after 3.4 that GL 2.x support was dropped.
User avatar
drfrag
Vintage GZDoom Developer
Posts: 3121
Joined: Fri Apr 23, 2004 3:51 am
Location: Spain

Re: Best mods for old ZDoom?

Post by drfrag »

LZDoom is based on GZDoom 3.3.2 with a lot of later stuff added.
User avatar
Bob Beaky
Posts: 15
Joined: Fri Mar 18, 2022 12:03 pm
Graphics Processor: nVidia with Vulkan support

Re: Best mods for old ZDoom?

Post by Bob Beaky »

Would you not be better off with something like Woof? There are some pretty impressive mods and wads using MBF21 and UMAPINFO.
Professor Hastig
Posts: 101
Joined: Mon Jan 09, 2023 2:02 am
Graphics Processor: nVidia (Modern GZDoom)

Re: Best mods for old ZDoom?

Post by Professor Hastig »

Mods, not maps!

Woof cannot run DECORATE based gameplay mods.
User avatar
Funman37
Posts: 3
Joined: Tue Feb 14, 2023 9:16 pm
Preferred Pronouns: He/Him
Operating System Version (Optional): Windows XP Pro

Re: Best mods for old ZDoom?

Post by Funman37 »

Alright, I'll try GZDoom 3.3 and see if that works.

Return to “Legacy Discussion”